> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Saved For Later Messages (/api-reference/saved-for-later-messages/list-saved-for-later-messages)

List all messages that are marked as "Save For Later".

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/saved-for-later/messages
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/saved-for-later/messages:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Saved For Later Messages
      operationId: listSavedForLaterMessages
      description: List all messages that are marked as "Save For Later".
      parameters:
        - in: query
          name: limit
          description: Maximum number of messages to return (default = 10)
          example: 10
          required: true
          schema:
            type: integer
            description: Maximum number of messages to return (default = 10)
            example: 10
        - in: query
          name: offset
          description: Offset for pagination (default = 0)
          example: 0
          required: true
          schema:
            type: integer
            description: Offset for pagination (default = 0)
            example: 0
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      - id: 123
                        type: chat
                        publishDateTime: null
                        createdDateTime: 2025-01-01T01:01:01+01:01
                        entity:
                          responseType: message
                          id: 123
                          text: <p>Text</p>
                          rawText: Text
                          giphyId: null
                          lockedText: false
                          isNew: true
                          isFree: true
                          isOpened: false
                          price: 0
                          isMediaReady: true
                          mediaCount: 0
                          media: []
                          previews: []
                          createdAt: 2025-01-01T01:01:01+01:01
                          changedAt: 2025-01-01T01:01:01+01:01
                          scheduledAt: null
                          isTip: false
                          cancelSeconds: 1000000
                          isLiked: false
                          canPurchase: false
                          isMarkdownDisabled: true
                          releaseForms: []
                          userIds:
                            - "123"
                          sentRulesType: user
                          sentRulesExtra: username
                          isFromQueue: true
                          queueId: 123
                          canUnsendQueue: true
                          unsendSecondsQueue: 1000000
                    hasMore: false
                    syncInProcess: false
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999943
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49974
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        example:
                          - id: 123
                            type: chat
                            publishDateTime: null
                            createdDateTime: 2025-01-01T01:01:01+01:01
                            entity:
                              responseType: message
                              id: 123
                              text: <p>Text</p>
                              rawText: Text
                              giphyId: null
                              lockedText: false
                              isNew: true
                              isFree: true
                              isOpened: false
                              price: 0
                              isMediaReady: true
                              mediaCount: 0
                              media: []
                              previews: []
                              createdAt: 2025-01-01T01:01:01+01:01
                              changedAt: 2025-01-01T01:01:01+01:01
                              scheduledAt: null
                              isTip: false
                              cancelSeconds: 1000000
                              isLiked: false
                              canPurchase: false
                              isMarkdownDisabled: true
                              releaseForms: []
                              userIds:
                                - "123"
                              sentRulesType: user
                              sentRulesExtra: username
                              isFromQueue: true
                              queueId: 123
                              canUnsendQueue: true
                              unsendSecondsQueue: 1000000
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 123
                            type:
                              type: string
                              example: chat
                            publishDateTime:
                              type: string
                              example: null
                              nullable: true
                            createdDateTime:
                              type: string
                              example: 2025-01-01T01:01:01+01:01
                            entity:
                              type: object
                              properties:
                                responseType:
                                  type: string
                                  example: message
                                id:
                                  type: integer
                                  example: 123
                                text:
                                  type: string
                                  example: <p>Text</p>
                                rawText:
                                  type: string
                                  example: Text
                                giphyId:
                                  type: string
                                  example: null
                                  nullable: true
                                lockedText:
                                  type: boolean
                                  example: false
                                isNew:
                                  type: boolean
                                  example: true
                                isFree:
                                  type: boolean
                                  example: true
                                isOpened:
                                  type: boolean
                                  example: false
                                price:
                                  type: integer
                                  example: 0
                                isMediaReady:
                                  type: boolean
                                  example: true
                                mediaCount:
                                  type: integer
                                  example: 0
                                media:
                                  type: array
                                  example: []
                                previews:
                                  type: array
                                  example: []
                                createdAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+01:01
                                changedAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+01:01
                                scheduledAt:
                                  type: string
                                  example: null
                                  nullable: true
                                isTip:
                                  type: boolean
                                  example: false
                                cancelSeconds:
                                  type: integer
                                  example: 1000000
                                isLiked:
                                  type: boolean
                                  example: false
                                canPurchase:
                                  type: boolean
                                  example: false
                                isMarkdownDisabled:
                                  type: boolean
                                  example: true
                                releaseForms:
                                  type: array
                                  example: []
                                userIds:
                                  type: array
                                  example:
                                    - "123"
                                  items:
                                    type: string
                                sentRulesType:
                                  type: string
                                  example: user
                                sentRulesExtra:
                                  type: string
                                  example: username
                                isFromQueue:
                                  type: boolean
                                  example: true
                                queueId:
                                  type: integer
                                  example: 123
                                canUnsendQueue:
                                  type: boolean
                                  example: true
                                unsendSecondsQueue:
                                  type: integer
                                  example: 1000000
                      hasMore:
                        type: boolean
                        example: false
                      syncInProcess:
                        type: boolean
                        example: false
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999943
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49974
      tags:
        - Saved For Later (Messages)
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````